> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://apidocs.polytomic.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://apidocs.polytomic.com/_mcp/server.

# Update Connection

PATCH https://app.polytomic.com/api/connections/{id}
Content-Type: application/json

Updates a connection's configuration.

Reference: https://apidocs.polytomic.com/2023-04-25/api-reference/connections/update

## Authentication

- `Authorization` header (basic auth, required) — This is the Polytomic deployment key (on-premises only)
- `Authorization` header (bearer token, required) — This is the Polytomic API key

## Request

### Path parameters

- `id` (string, required)

### Body (application/json)

This endpoint expects a V2UpdateConnectionRequestSchema.

- `configuration` (map from string to any, required)
- `name` (string, required)
- `healthcheck_interval` (string, optional) — Override interval for connection health checking.
- `organization_id` (string, optional, nullable)
- `policies` (list of string, optional, nullable)
- `reconnect` (boolean, optional)
- `type` (string, optional)
- `validate` (boolean, optional, default: true) — Validate connection configuration.

## Response

### 200

OK

- `data` (V2CreateConnectionResponseSchema, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

### 401 Unauthorized Error

Unauthorized

- `code` (integer, optional) — Application-specific error code.
- `context` (map from string to any, optional) — Application context.
- `error` (string, optional) — Error message.
- `status` (string, optional) — Status text.

### 403 Forbidden Error

Forbidden

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

### 404 Not Found Error

Not Found

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

### 409 Conflict Error

Conflict

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

### 422 Unprocessable Entity Error

Unprocessable Entity

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

### 500 Internal Server Error

Internal Server Error

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

## Types

### V2CreateConnectionResponseSchema

- `auth_code` (string, optional) — Code to enter in order to complete connection authentication.
- `auth_url` (string, optional) — URL to visit to complete connection authentication.
- `configuration` (map from string to any, optional, nullable)
- `healthcheck_interval` (string, optional) — Interval for connection health checking.
- `id` (string, optional)
- `name` (string, optional)
- `organization_id` (string, optional)
- `policies` (list of string, optional)
- `saved` (boolean, optional)
- `status` (string, optional)
- `status_error` (string, optional)
- `type` (V2ConnectionTypeSchema, optional)

### V2ConnectionTypeSchema

- `id` (string, optional)
- `logo_dark_url` (string, optional)
- `logo_url` (string, optional)
- `name` (string, optional)
- `operations` (list of string, optional, nullable)

## Examples

**Request**

```json
{
  "configuration": {
    "database": "example",
    "hostname": "postgres.example.com",
    "password": "********",
    "port": 5432,
    "username": "user"
  },
  "name": "My Postgres Connection"
}
```

**Response**

```json
{
  "data": {
    "auth_code": "string",
    "auth_url": "string",
    "configuration": {
      "database": "example",
      "hostname": "postgres.example.com",
      "password": "********",
      "port": 5432,
      "username": "user"
    },
    "healthcheck_interval": "3h30m",
    "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
    "name": "My Postgres Connection",
    "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
    "policies": [
      "248df4b7-aa70-47b8-a036-33ac447e668d"
    ],
    "saved": true,
    "status": "healthy",
    "status_error": "error message",
    "type": {
      "id": "postgresql",
      "logo_dark_url": "https://connect-assets.polytomic.com/logos/dark/postgresql.svg",
      "logo_url": "https://connect-assets.polytomic.com/logos/postgresql.svg",
      "name": "PostgreSQL",
      "operations": [
        "bulksyncsource"
      ]
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d"

payload = {
    "configuration": {
        "database": "example",
        "hostname": "postgres.example.com",
        "password": "********",
        "port": 5432,
        "username": "user"
    },
    "name": "My Postgres Connection"
}
headers = {
    "X-Polytomic-Version": "X-Polytomic-Version"
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript
const url = 'https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'PATCH',
  headers: {
    'X-Polytomic-Version': 'X-Polytomic-Version',
    Authorization: `Basic ${credentials}`,
    'Content-Type': 'application/json'
  },
  body: '{"configuration":{"database":"example","hostname":"postgres.example.com","password":"********","port":5432,"username":"user"},"name":"My Postgres Connection"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d"

	payload := strings.NewReader("{\n  \"configuration\": {\n    \"database\": \"example\",\n    \"hostname\": \"postgres.example.com\",\n    \"password\": \"********\",\n    \"port\": 5432,\n    \"username\": \"user\"\n  },\n  \"name\": \"My Postgres Connection\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("X-Polytomic-Version", "X-Polytomic-Version")
	req.SetBasicAuth("<username>", "<password>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["X-Polytomic-Version"] = 'X-Polytomic-Version'
request.basic_auth("<username>", "<password>")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"configuration\": {\n    \"database\": \"example\",\n    \"hostname\": \"postgres.example.com\",\n    \"password\": \"********\",\n    \"port\": 5432,\n    \"username\": \"user\"\n  },\n  \"name\": \"My Postgres Connection\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d")
  .header("X-Polytomic-Version", "X-Polytomic-Version")
  .basicAuth("<username>", "<password>")
  .header("Content-Type", "application/json")
  .body("{\n  \"configuration\": {\n    \"database\": \"example\",\n    \"hostname\": \"postgres.example.com\",\n    \"password\": \"********\",\n    \"port\": 5432,\n    \"username\": \"user\"\n  },\n  \"name\": \"My Postgres Connection\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d', [
  'body' => '{
  "configuration": {
    "database": "example",
    "hostname": "postgres.example.com",
    "password": "********",
    "port": 5432,
    "username": "user"
  },
  "name": "My Postgres Connection"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Polytomic-Version' => 'X-Polytomic-Version',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.PATCH);
request.AddHeader("X-Polytomic-Version", "X-Polytomic-Version");

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"configuration\": {\n    \"database\": \"example\",\n    \"hostname\": \"postgres.example.com\",\n    \"password\": \"********\",\n    \"port\": 5432,\n    \"username\": \"user\"\n  },\n  \"name\": \"My Postgres Connection\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "X-Polytomic-Version": "X-Polytomic-Version",
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]
let parameters = [
  "configuration": [
    "database": "example",
    "hostname": "postgres.example.com",
    "password": "********",
    "port": 5432,
    "username": "user"
  ],
  "name": "My Postgres Connection"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```